Browse code

Change readme example to svg

Robert Cranston authored on 14/02/2023 05:32:35
Showing 6 changed files

... ...
@@ -163,42 +163,7 @@ Environment variables:
163 163
 The following example demonstrates exploring the OpenGL API starting from code
164 164
 in a repository.
165 165
 
166
-```
167
-$ glregistry audit-tree example-repo
168
-4.6,GL_ARB_texture_filter_anisotropic,GL_EXT_texture_filter_anisotropic
169
-  GL_TEXTURE_MAX_ANISOTROPY
170
-    src/gltexture.cpp:3:17
171
-
172
-$ glregistry exts-all GL_TEXTURE_MAX_ANISOTROPY
173
-GL_ARB_sampler_objects
174
-GL_ARB_texture_filter_anisotropic
175
-GL_EXT_texture_filter_anisotropic
176
-
177
-$ glregistry groups GL_TEXTURE_MAX_ANISOTROPY
178
-SamplerParameterF
179
-TextureParameterName
180
-
181
-$ glregistry enums-tree SamplerParameterF
182
-1.0
183
-  GL_TEXTURE_BORDER_COLOR
184
-1.2
185
-  GL_TEXTURE_MAX_LOD
186
-  GL_TEXTURE_MIN_LOD
187
-1.4,GL_EXT_texture_lod_bias
188
-  GL_TEXTURE_LOD_BIAS
189
-4.6,GL_ARB_texture_filter_anisotropic,GL_EXT_texture_filter_anisotropic
190
-  GL_TEXTURE_MAX_ANISOTROPY
191
-
192
-$ glregistry params-tree SamplerParameterF
193
-pname:3
194
-  3.3,GL_ARB_sampler_objects
195
-    glGetSamplerParameterfv
196
-    glSamplerParameterf
197
-    glSamplerParameterfv
198
-
199
-$ glregistry refs glSamplerParameter
200
-https://registry.khronos.org/OpenGL-Refpages/gl4/html/glSamplerParameter.xhtml
201
-```
166
+![example](doc/example.svg)
202 167
 
203 168
 ## References
204 169
 
205 170
new file mode 100644
... ...
@@ -0,0 +1,14 @@
1
+.PHONY: all
2
+all: doc/example.svg
3
+
4
+.PHONY: FORCE
5
+doc/example.svg: FORCE
6
+	rm "example.cast" "example.svg"; \
7
+	asciinema rec "example.cast" \
8
+		--command "./example.sh" \
9
+		--title "example" \
10
+		--cols=80 \
11
+		--rows=35; \
12
+	svg-term \
13
+		--in  example.cast \
14
+		--out example.svg;
0 15
new file mode 100644
... ...
@@ -0,0 +1,3 @@
1
+
2
+
3
+                GL_TEXTURE_MAX_ANISOTROPY
0 4
new file mode 100644
... ...
@@ -0,0 +1,25 @@
1
+{"version": 2, "width": 80, "height": 35, "timestamp": 1676484778, "env": {"SHELL": "/bin/bash", "TERM": "xterm-256color"}, "title": "example"}
2
+[0.00236, "o", "$ "]
3
+[1.00418, "o", "glregistry audit-tree example-repo "]
4
+[2.007645, "o", "\r\n"]
5
+[2.126224, "o", "\u001b[01;34m4.6\u001b[m\u001b[36m,\u001b[m\u001b[34mGL_ARB_texture_filter_anisotropic\u001b[m\u001b[36m,\u001b[m\u001b[34mGL_EXT_texture_filter_anisotropic\u001b[m\r\n  \u001b[01;31mGL_TEXTURE_MAX_ANISOTROPY\u001b[m\r\n    \u001b[35msrc/gltexture.cpp\u001b[m\u001b[36m:\u001b[m\u001b[32m3\u001b[m\u001b[36m:\u001b[m\u001b[32m17\u001b[m\r\n"]
6
+[2.14972, "o", "\r\n$ "]
7
+[3.151345, "o", "glregistry exts-all GL_TEXTURE_MAX_ANISOTROPY "]
8
+[4.154675, "o", "\r\n"]
9
+[5.190029, "o", "GL_ARB_sampler_objects\r\nGL_ARB_texture_filter_anisotropic\r\nGL_EXT_texture_filter_anisotropic\r\n"]
10
+[5.2089, "o", "\r\n$ "]
11
+[6.210421, "o", "glregistry groups GL_TEXTURE_MAX_ANISOTROPY "]
12
+[7.213327, "o", "\r\n"]
13
+[7.31736, "o", "SamplerParameterF\r\nTextureParameterName\r\n"]
14
+[7.336541, "o", "\r\n$ "]
15
+[8.338069, "o", "glregistry enums-tree SamplerParameterF "]
16
+[9.341132, "o", "\r\n"]
17
+[9.589636, "o", "\u001b[01;34m1.0\u001b[m\r\n  \u001b[01;31mGL_TEXTURE_BORDER_COLOR\u001b[m\r\n\u001b[01;34m1.2\u001b[m\r\n  \u001b[01;31mGL_TEXTURE_MAX_LOD\u001b[m\r\n  \u001b[01;31mGL_TEXTURE_MIN_LOD\u001b[m\r\n\u001b[01;34m1.4\u001b[m\u001b[36m,\u001b[m\u001b[34mGL_EXT_texture_lod_bias\u001b[m\r\n  \u001b[01;31mGL_TEXTURE_LOD_BIAS\u001b[m\r\n\u001b[01;34m4.6\u001b[m\u001b[36m,\u001b[m\u001b[34mGL_ARB_texture_filter_anisotropic\u001b[m\u001b[36m,\u001b[m\u001b[34mGL_EXT_texture_filter_anisotropic\u001b[m\r\n  \u001b[01;31mGL_TEXTURE_MAX_ANISOTROPY\u001b[m\r\n"]
18
+[9.61323, "o", "\r\n$ "]
19
+[10.614198, "o", "glregistry params-tree SamplerParameterF "]
20
+[11.615365, "o", "\r\n"]
21
+[11.759841, "o", "\r\n$ "]
22
+[12.761781, "o", "glregistry refs glSamplerParameter "]
23
+[13.764929, "o", "\r\n"]
24
+[15.524371, "o", "https://registry.khronos.org/OpenGL-Refpages/gl4/html/glSamplerParameter.xhtml\r\n"]
25
+[25.533884, "o", "\r\n"]
0 26
new file mode 100755
... ...
@@ -0,0 +1,29 @@
1
+#!/bin/sh
2
+set -euC
3
+
4
+export EDITOR=
5
+export PAGER=
6
+
7
+glregistry()
8
+{
9
+    printf '$ '
10
+    sleep 1
11
+    printf '%s ' 'glregistry' "$@"
12
+    sleep 1
13
+    echo
14
+    ../glregistry.py "$@"
15
+}
16
+
17
+glregistry audit-tree example-repo
18
+echo
19
+glregistry exts-all GL_TEXTURE_MAX_ANISOTROPY
20
+echo
21
+glregistry groups GL_TEXTURE_MAX_ANISOTROPY
22
+echo
23
+glregistry enums-tree SamplerParameterF
24
+echo
25
+glregistry params-tree SamplerParameterF
26
+echo
27
+glregistry refs glSamplerParameter
28
+sleep 10
29
+echo
0 30
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="800" height="759.85"><rect width="800" height="759.85" rx="0" ry="0" class="a"/><svg height="759.85" viewBox="0 0 80 75.985" width="800" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><style>@keyframes l{0%{transform:translateX(0)}.01%{transform:translateX(-80px)}3.93%{transform:translateX(-160px)}7.86%{transform:translateX(-240px)}8.33%{transform:translateX(-320px)}8.42%{transform:translateX(-400px)}12.34%{transform:translateX(-480px)}16.27%{transform:translateX(-560px)}20.33%{transform:translateX(-640px)}20.4%{transform:translateX(-720px)}24.32%{transform:translateX(-800px)}28.25%{transform:translateX(-880px)}28.66%{transform:translateX(-960px)}28.73%{transform:translateX(-1040px)}32.65%{transform:translateX(-1120px)}36.58%{transform:translateX(-1200px)}37.56%{transform:translateX(-1280px)}37.65%{transform:translateX(-1360px)}41.57%{transform:translateX(-1440px)}45.49%{transform:translateX(-1520px)}46.06%{transform:translateX(-1600px)}49.98%{transform:translateX(-1680px)}53.91%{transform:translateX(-1760px)}60.8%{transform:translateX(-1840px)}to{transform:translateX(-1920px)}}.a{fill:#282d35}.c{fill:#b9c0cb}.c,.d,.e{white-space:pre}.d{fill:#71bef2;font-weight:700}.e{fill:#66c2cd}.f{fill:#71bef2}.f,.g,.i{white-space:pre}.g{fill:#e88388;font-weight:700}.i{fill:#a8cc8c}</style><g font-family="Monaco,Consolas,Menlo,'Bitstream Vera Sans Mono','Powerline Symbols',monospace" font-size="1.67"><defs><symbol id="1"><text y="1.67" class="c">$</text></symbol><symbol id="2"><text y="1.67" class="c">$</text><text x="2.004" y="1.67" class="c">glregistry</text><text x="13.026" y="1.67" class="c">audit-tree</text><text x="24.048" y="1.67" class="c">example-repo</text></symbol><symbol id="3"><text y="1.67" class="d">4.6</text><text x="3.006" y="1.67" class="e">,</text><text x="4.008" y="1.67" class="f">GL_ARB_texture_filter_anisotropic</text><text x="37.074" y="1.67" class="e">,</text><text x="38.076" y="1.67" class="f">GL_EXT_texture_filter_anisotropic</text></symbol><symbol id="4"><text x="2.004" y="1.67" class="g">GL_TEXTURE_MAX_ANISOTROPY</text></symbol><symbol id="5"><text x="4.008" y="1.67" style="white-space:pre" fill="#d290e4">src/gltexture.cpp</text><text x="21.042" y="1.67" class="e">:</text><text x="22.044" y="1.67" class="i">3</text><text x="23.046" y="1.67" class="e">:</text><text x="24.048" y="1.67" class="i">17</text></symbol><symbol id="6"><text y="1.67" class="c">$</text><text x="2.004" y="1.67" class="c">glregistry</text><text x="13.026" y="1.67" class="c">exts-all</text><text x="22.044" y="1.67" class="c">GL_TEXTURE_MAX_ANISOTROPY</text></symbol><symbol id="7"><text y="1.67" class="c">GL_ARB_sampler_objects</text></symbol><symbol id="8"><text y="1.67" class="c">GL_ARB_texture_filter_anisotropic</text></symbol><symbol id="9"><text y="1.67" class="c">GL_EXT_texture_filter_anisotropic</text></symbol><symbol id="10"><text y="1.67" class="c">$</text><text x="2.004" y="1.67" class="c">glregistry</text><text x="13.026" y="1.67" class="c">groups</text><text x="20.04" y="1.67" class="c">GL_TEXTURE_MAX_ANISOTROPY</text></symbol><symbol id="11"><text y="1.67" class="c">SamplerParameterF</text></symbol><symbol id="12"><text y="1.67" class="c">TextureParameterName</text></symbol><symbol id="13"><text y="1.67" class="c">$</text><text x="2.004" y="1.67" class="c">glregistry</text><text x="13.026" y="1.67" class="c">enums-tree</text><text x="24.048" y="1.67" class="c">SamplerParameterF</text></symbol><symbol id="14"><text y="1.67" class="d">1.0</text></symbol><symbol id="15"><text x="2.004" y="1.67" class="g">GL_TEXTURE_BORDER_COLOR</text></symbol><symbol id="16"><text y="1.67" class="d">1.2</text></symbol><symbol id="17"><text x="2.004" y="1.67" class="g">GL_TEXTURE_MAX_LOD</text></symbol><symbol id="18"><text x="2.004" y="1.67" class="g">GL_TEXTURE_MIN_LOD</text></symbol><symbol id="19"><text y="1.67" class="d">1.4</text><text x="3.006" y="1.67" class="e">,</text><text x="4.008" y="1.67" class="f">GL_EXT_texture_lod_bias</text></symbol><symbol id="20"><text x="2.004" y="1.67" class="g">GL_TEXTURE_LOD_BIAS</text></symbol><symbol id="21"><text y="1.67" class="c">$</text><text x="2.004" y="1.67" class="c">glregistry</text><text x="13.026" y="1.67" class="c">params-tree</text><text x="25.05" y="1.67" class="c">SamplerParameterF</text></symbol><symbol id="22"><text y="1.67" class="c">$</text><text x="2.004" y="1.67" class="c">glregistry</text><text x="13.026" y="1.67" class="c">refs</text><text x="18.036" y="1.67" class="c">glSamplerParameter</text></symbol><symbol id="23"><text y="1.67" class="c">https://registry.khronos.org/OpenGL-Refpages/gl4/html/glSamplerParameter.xhtml</text></symbol><symbol id="a"><path fill="transparent" d="M0 0h80v35H0z"/></symbol><symbol id="b"><path fill="#6f7683" d="M0 0h1.102v2.171H0z"/></symbol></defs><path class="a" d="M0 0h80v75.985H0z"/><g style="animation-duration:25.533884s;animation-iteration-count:infinite;animation-name:l;animation-timing-function:steps(1,end)"><svg width="2000"><svg><use xlink:href="#a"/><use xlink:href="#b" x="-.004"/></svg><svg x="80"><use xlink:href="#a"/><use xlink:href="#b" x="1.996"/><use xlink:href="#1"/></svg><svg x="160"><use xlink:href="#a"/><use xlink:href="#b" x="36.996"/><use xlink:href="#2"/></svg><svg x="240"><use xlink:href="#a"/><use xlink:href="#b" x="-.004" y="2.146"/><use xlink:href="#2"/></svg><svg x="320"><use xlink:href="#a"/><use xlink:href="#b" x="-.004" y="8.659"/><use xlink:href="#2"/><use xlink:href="#3" y="2.171"/><use xlink:href="#4" y="4.342"/><use xlink:href="#5" y="6.513"/></svg><svg x="400"><use xlink:href="#a"/><use xlink:href="#b" x="1.996" y="10.83"/><use xlink:href="#2"/><use xlink:href="#3" y="2.171"/><use xlink:href="#4" y="4.342"/><use xlink:href="#5" y="6.513"/><use xlink:href="#1" y="10.855"/></svg><svg x="480"><use xlink:href="#a"/><use xlink:href="#b" x="47.996" y="10.83"/><use xlink:href="#2"/><use xlink:href="#3" y="2.171"/><use xlink:href="#4" y="4.342"/><use xlink:href="#5" y="6.513"/><use xlink:href="#6" y="10.855"/></svg><svg x="560"><use xlink:href="#a"/><use xlink:href="#b" x="-.004" y="13.001"/><use xlink:href="#2"/><use xlink:href="#3" y="2.171"/><use xlink:href="#4" y="4.342"/><use xlink:href="#5" y="6.513"/><use xlink:href="#6" y="10.855"/></svg><svg x="640"><use xlink:href="#a"/><use xlink:href="#b" x="-.004" y="19.514"/><use xlink:href="#2"/><use xlink:href="#3" y="2.171"/><use xlink:href="#4" y="4.342"/><use xlink:href="#5" y="6.513"/><use xlink:href="#6" y="10.855"/><use xlink:href="#7" y="13.026"/><use xlink:href="#8" y="15.197"/><use xlink:href="#9" y="17.368"/></svg><svg x="720"><use xlink:href="#a"/><use xlink:href="#b" x="1.996" y="21.685"/><use xlink:href="#2"/><use xlink:href="#3" y="2.171"/><use xlink:href="#4" y="4.342"/><use xlink:href="#5" y="6.513"/><use xlink:href="#6" y="10.855"/><use xlink:href="#7" y="13.026"/><use xlink:href="#8" y="15.197"/><use xlink:href="#9" y="17.368"/><use xlink:href="#1" y="21.71"/></svg><svg x="800"><use xlink:href="#a"/><use xlink:href="#b" x="45.996" y="21.685"/><use xlink:href="#2"/><use xlink:href="#3" y="2.171"/><use xlink:href="#4" y="4.342"/><use xlink:href="#5" y="6.513"/><use xlink:href="#6" y="10.855"/><use xlink:href="#7" y="13.026"/><use xlink:href="#8" y="15.197"/><use xlink:href="#9" y="17.368"/><use xlink:href="#10" y="21.71"/></svg><svg x="880"><use xlink:href="#a"/><use xlink:href="#b" x="-.004" y="23.856"/><use xlink:href="#2"/><use xlink:href="#3" y="2.171"/><use xlink:href="#4" y="4.342"/><use xlink:href="#5" y="6.513"/><use xlink:href="#6" y="10.855"/><use xlink:href="#7" y="13.026"/><use xlink:href="#8" y="15.197"/><use xlink:href="#9" y="17.368"/><use xlink:href="#10" y="21.71"/></svg><svg x="960"><use xlink:href="#a"/><use xlink:href="#b" x="-.004" y="28.198"/><use xlink:href="#2"/><use xlink:href="#3" y="2.171"/><use xlink:href="#4" y="4.342"/><use xlink:href="#5" y="6.513"/><use xlink:href="#6" y="10.855"/><use xlink:href="#7" y="13.026"/><use xlink:href="#8" y="15.197"/><use xlink:href="#9" y="17.368"/><use xlink:href="#10" y="21.71"/><use xlink:href="#11" y="23.881"/><use xlink:href="#12" y="26.052"/></svg><svg x="1040"><use xlink:href="#a"/><use xlink:href="#b" x="1.996" y="30.369"/><use xlink:href="#2"/><use xlink:href="#3" y="2.171"/><use xlink:href="#4" y="4.342"/><use xlink:href="#5" y="6.513"/><use xlink:href="#6" y="10.855"/><use xlink:href="#7" y="13.026"/><use xlink:href="#8" y="15.197"/><use xlink:href="#9" y="17.368"/><use xlink:href="#10" y="21.71"/><use xlink:href="#11" y="23.881"/><use xlink:href="#12" y="26.052"/><use xlink:href="#1" y="30.394"/></svg><svg x="1120"><use xlink:href="#a"/><use xlink:href="#b" x="41.996" y="30.369"/><use xlink:href="#2"/><use xlink:href="#3" y="2.171"/><use xlink:href="#4" y="4.342"/><use xlink:href="#5" y="6.513"/><use xlink:href="#6" y="10.855"/><use xlink:href="#7" y="13.026"/><use xlink:href="#8" y="15.197"/><use xlink:href="#9" y="17.368"/><use xlink:href="#10" y="21.71"/><use xlink:href="#11" y="23.881"/><use xlink:href="#12" y="26.052"/><use xlink:href="#13" y="30.394"/></svg><svg x="1200"><use xlink:href="#a"/><use xlink:href="#b" x="-.004" y="32.54"/><use xlink:href="#2"/><use xlink:href="#3" y="2.171"/><use xlink:href="#4" y="4.342"/><use xlink:href="#5" y="6.513"/><use xlink:href="#6" y="10.855"/><use xlink:href="#7" y="13.026"/><use xlink:href="#8" y="15.197"/><use xlink:href="#9" y="17.368"/><use xlink:href="#10" y="21.71"/><use xlink:href="#11" y="23.881"/><use xlink:href="#12" y="26.052"/><use xlink:href="#13" y="30.394"/></svg><svg x="1280"><use xlink:href="#a"/><use xlink:href="#b" x="-.004" y="52.079"/><use xlink:href="#2"/><use xlink:href="#3" y="2.171"/><use xlink:href="#4" y="4.342"/><use xlink:href="#5" y="6.513"/><use xlink:href="#6" y="10.855"/><use xlink:href="#7" y="13.026"/><use xlink:href="#8" y="15.197"/><use xlink:href="#9" y="17.368"/><use xlink:href="#10" y="21.71"/><use xlink:href="#11" y="23.881"/><use xlink:href="#12" y="26.052"/><use xlink:href="#13" y="30.394"/><use xlink:href="#14" y="32.565"/><use xlink:href="#15" y="34.736"/><use xlink:href="#16" y="36.907"/><use xlink:href="#17" y="39.078"/><use xlink:href="#18" y="41.249"/><use xlink:href="#19" y="43.42"/><use xlink:href="#20" y="45.591"/><use xlink:href="#3" y="47.762"/><use xlink:href="#4" y="49.933"/></svg><svg x="1360"><use xlink:href="#a"/><use xlink:href="#b" x="1.996" y="54.25"/><use xlink:href="#2"/><use xlink:href="#3" y="2.171"/><use xlink:href="#4" y="4.342"/><use xlink:href="#5" y="6.513"/><use xlink:href="#6" y="10.855"/><use xlink:href="#7" y="13.026"/><use xlink:href="#8" y="15.197"/><use xlink:href="#9" y="17.368"/><use xlink:href="#10" y="21.71"/><use xlink:href="#11" y="23.881"/><use xlink:href="#12" y="26.052"/><use xlink:href="#13" y="30.394"/><use xlink:href="#14" y="32.565"/><use xlink:href="#15" y="34.736"/><use xlink:href="#16" y="36.907"/><use xlink:href="#17" y="39.078"/><use xlink:href="#18" y="41.249"/><use xlink:href="#19" y="43.42"/><use xlink:href="#20" y="45.591"/><use xlink:href="#3" y="47.762"/><use xlink:href="#4" y="49.933"/><use xlink:href="#1" y="54.275"/></svg><svg x="1440"><use xlink:href="#a"/><use xlink:href="#b" x="42.996" y="54.25"/><use xlink:href="#2"/><use xlink:href="#3" y="2.171"/><use xlink:href="#4" y="4.342"/><use xlink:href="#5" y="6.513"/><use xlink:href="#6" y="10.855"/><use xlink:href="#7" y="13.026"/><use xlink:href="#8" y="15.197"/><use xlink:href="#9" y="17.368"/><use xlink:href="#10" y="21.71"/><use xlink:href="#11" y="23.881"/><use xlink:href="#12" y="26.052"/><use xlink:href="#13" y="30.394"/><use xlink:href="#14" y="32.565"/><use xlink:href="#15" y="34.736"/><use xlink:href="#16" y="36.907"/><use xlink:href="#17" y="39.078"/><use xlink:href="#18" y="41.249"/><use xlink:href="#19" y="43.42"/><use xlink:href="#20" y="45.591"/><use xlink:href="#3" y="47.762"/><use xlink:href="#4" y="49.933"/><use xlink:href="#21" y="54.275"/></svg><svg x="1520"><use xlink:href="#a"/><use xlink:href="#b" x="-.004" y="56.421"/><use xlink:href="#2"/><use xlink:href="#3" y="2.171"/><use xlink:href="#4" y="4.342"/><use xlink:href="#5" y="6.513"/><use xlink:href="#6" y="10.855"/><use xlink:href="#7" y="13.026"/><use xlink:href="#8" y="15.197"/><use xlink:href="#9" y="17.368"/><use xlink:href="#10" y="21.71"/><use xlink:href="#11" y="23.881"/><use xlink:href="#12" y="26.052"/><use xlink:href="#13" y="30.394"/><use xlink:href="#14" y="32.565"/><use xlink:href="#15" y="34.736"/><use xlink:href="#16" y="36.907"/><use xlink:href="#17" y="39.078"/><use xlink:href="#18" y="41.249"/><use xlink:href="#19" y="43.42"/><use xlink:href="#20" y="45.591"/><use xlink:href="#3" y="47.762"/><use xlink:href="#4" y="49.933"/><use xlink:href="#21" y="54.275"/></svg><svg x="1600"><use xlink:href="#a"/><use xlink:href="#b" x="1.996" y="58.592"/><use xlink:href="#2"/><use xlink:href="#3" y="2.171"/><use xlink:href="#4" y="4.342"/><use xlink:href="#5" y="6.513"/><use xlink:href="#6" y="10.855"/><use xlink:href="#7" y="13.026"/><use xlink:href="#8" y="15.197"/><use xlink:href="#9" y="17.368"/><use xlink:href="#10" y="21.71"/><use xlink:href="#11" y="23.881"/><use xlink:href="#12" y="26.052"/><use xlink:href="#13" y="30.394"/><use xlink:href="#14" y="32.565"/><use xlink:href="#15" y="34.736"/><use xlink:href="#16" y="36.907"/><use xlink:href="#17" y="39.078"/><use xlink:href="#18" y="41.249"/><use xlink:href="#19" y="43.42"/><use xlink:href="#20" y="45.591"/><use xlink:href="#3" y="47.762"/><use xlink:href="#4" y="49.933"/><use xlink:href="#21" y="54.275"/><use xlink:href="#1" y="58.617"/></svg><svg x="1680"><use xlink:href="#a"/><use xlink:href="#b" x="36.996" y="58.592"/><use xlink:href="#2"/><use xlink:href="#3" y="2.171"/><use xlink:href="#4" y="4.342"/><use xlink:href="#5" y="6.513"/><use xlink:href="#6" y="10.855"/><use xlink:href="#7" y="13.026"/><use xlink:href="#8" y="15.197"/><use xlink:href="#9" y="17.368"/><use xlink:href="#10" y="21.71"/><use xlink:href="#11" y="23.881"/><use xlink:href="#12" y="26.052"/><use xlink:href="#13" y="30.394"/><use xlink:href="#14" y="32.565"/><use xlink:href="#15" y="34.736"/><use xlink:href="#16" y="36.907"/><use xlink:href="#17" y="39.078"/><use xlink:href="#18" y="41.249"/><use xlink:href="#19" y="43.42"/><use xlink:href="#20" y="45.591"/><use xlink:href="#3" y="47.762"/><use xlink:href="#4" y="49.933"/><use xlink:href="#21" y="54.275"/><use xlink:href="#22" y="58.617"/></svg><svg x="1760"><use xlink:href="#a"/><use xlink:href="#b" x="-.004" y="60.763"/><use xlink:href="#2"/><use xlink:href="#3" y="2.171"/><use xlink:href="#4" y="4.342"/><use xlink:href="#5" y="6.513"/><use xlink:href="#6" y="10.855"/><use xlink:href="#7" y="13.026"/><use xlink:href="#8" y="15.197"/><use xlink:href="#9" y="17.368"/><use xlink:href="#10" y="21.71"/><use xlink:href="#11" y="23.881"/><use xlink:href="#12" y="26.052"/><use xlink:href="#13" y="30.394"/><use xlink:href="#14" y="32.565"/><use xlink:href="#15" y="34.736"/><use xlink:href="#16" y="36.907"/><use xlink:href="#17" y="39.078"/><use xlink:href="#18" y="41.249"/><use xlink:href="#19" y="43.42"/><use xlink:href="#20" y="45.591"/><use xlink:href="#3" y="47.762"/><use xlink:href="#4" y="49.933"/><use xlink:href="#21" y="54.275"/><use xlink:href="#22" y="58.617"/></svg><svg x="1840"><use xlink:href="#a"/><use xlink:href="#b" x="-.004" y="62.934"/><use xlink:href="#2"/><use xlink:href="#3" y="2.171"/><use xlink:href="#4" y="4.342"/><use xlink:href="#5" y="6.513"/><use xlink:href="#6" y="10.855"/><use xlink:href="#7" y="13.026"/><use xlink:href="#8" y="15.197"/><use xlink:href="#9" y="17.368"/><use xlink:href="#10" y="21.71"/><use xlink:href="#11" y="23.881"/><use xlink:href="#12" y="26.052"/><use xlink:href="#13" y="30.394"/><use xlink:href="#14" y="32.565"/><use xlink:href="#15" y="34.736"/><use xlink:href="#16" y="36.907"/><use xlink:href="#17" y="39.078"/><use xlink:href="#18" y="41.249"/><use xlink:href="#19" y="43.42"/><use xlink:href="#20" y="45.591"/><use xlink:href="#3" y="47.762"/><use xlink:href="#4" y="49.933"/><use xlink:href="#21" y="54.275"/><use xlink:href="#22" y="58.617"/><use xlink:href="#23" y="60.788"/></svg><svg x="1920"><use xlink:href="#a"/><use xlink:href="#b" x="-.004" y="65.105"/><use xlink:href="#2"/><use xlink:href="#3" y="2.171"/><use xlink:href="#4" y="4.342"/><use xlink:href="#5" y="6.513"/><use xlink:href="#6" y="10.855"/><use xlink:href="#7" y="13.026"/><use xlink:href="#8" y="15.197"/><use xlink:href="#9" y="17.368"/><use xlink:href="#10" y="21.71"/><use xlink:href="#11" y="23.881"/><use xlink:href="#12" y="26.052"/><use xlink:href="#13" y="30.394"/><use xlink:href="#14" y="32.565"/><use xlink:href="#15" y="34.736"/><use xlink:href="#16" y="36.907"/><use xlink:href="#17" y="39.078"/><use xlink:href="#18" y="41.249"/><use xlink:href="#19" y="43.42"/><use xlink:href="#20" y="45.591"/><use xlink:href="#3" y="47.762"/><use xlink:href="#4" y="49.933"/><use xlink:href="#21" y="54.275"/><use xlink:href="#22" y="58.617"/><use xlink:href="#23" y="60.788"/></svg></svg></g></g></svg></svg>
0 2
\ No newline at end of file